<?php

/**
 * @file
 * Functions for the 'user_search' link type for use with the Autolink module.
 */

/**
 * Callback function for building user search form.
 */
function autolink_ui_user_search_method($edit) {
  $form['user_search'] = array(
    '#type' => 'textfield',
    '#title' => t('Search terms'),
    '#required' => TRUE,
    '#default_value' => isset($edit['query']) ? $edit['query'] : '',
    '#description' => t('Terms with which to search for users.'),
  );

  return $form;
}

/**
 * Implements hook_autolink_LINK_TYPE_alter().
 *
 * Converts the link path to be saved to a search results page. Form data is used to
 * create a proper link path linking to the results page.
 *
 * @param $link
 *   An associative array of link form data.
 *
 * @return
 *   A link array with data to build full urls which will be reference by created anchor tags.
 */
function autolink_ui_autolink_user_search_alter(&$link, $method = '') {
  $link['link_path'] = 'search/user';
  $link['query'] = !empty($link['user_search']) ? $link['user_search'] : '';
}
